Page MenuHomePhabricator

Subject encoded in win10 mail app
Closed, InvalidPublic

Description

In the mail app in Windows10 letters Subject from Wikipedia look encoded. Other letters from other senders with the nonlatin Subject are displayed normally decoded.

Delivered-To: foo@bar
Return-path: <wiki-ruwiki-1vhs-p5je0j-zmzma/qrklcb7zag@wikimedia.org>
Received-SPF: pass (mx216.i.mail.ru: domain of wikimedia.org designates 208.80.154.91 as permitted sender) client-ip=208.80.154.91; envelope-from=wiki-ruwiki-1vhs-p5je0j-zmzma/qrklcb7zag@wikimedia.org; helo=wiki-mail-eqiad.wikimedia.org;
Received: from wiki-mail-eqiad.wikimedia.org ([208.80.154.91]:51532)
	by mx216.i.mail.ru with esmtp (envelope-from <wiki-ruwiki-1vhs-p5je0j-zmzma/qrklcb7zag@wikimedia.org>)
	id 1evmQH-0004L3-2v
	for foo@bar; Tue, 13 Mar 2018 19:05:09 +0300
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=wikimedia.org; s=wiki-mail;
	h=Content-transfer-encoding:Content-type:MIME-Version:List-Unsubscribe:Message-ID:Date:Reply-To:From:List-Help:Subject:To; bh=DUiAoclN1yJu0MoclSRqIXRVTKcEvK5XPaq60sttY1M=;
	b=u2MDd37idkDHzE1FrnOCGhL+aKJZIWtA7ZQI/CLdHp8SrIrV11dE65UBNjfjOlRDl8L00CGmVk0b/tUqzHjd/XWVv05KzU7SuYi0Ykdj/fo2Jip2TBQr2CIJhRqnAOoy5vRz3T2kyFPvxIIHlC8m1owM8e6jIL29SjoXKAl20Z0=;
Received: from [2620:0:861:102:1618:77ff:fe61:3aa9] (port=35840 helo=mw1300.eqiad.wmnet)
	by mx1001.wikimedia.org with esmtp (Exim 4.84_2)
	(envelope-from <wiki-ruwiki-1vhs-p5je0j-zmZMa/QrKLCb7zAG@wikimedia.org>)
	id 1evmQF-0000PG-Fz
	for foo@bar; Tue, 13 Mar 2018 16:05:07 +0000
Received: from www-data by mw1300.eqiad.wmnet with local (Exim 4.84_2)
	(envelope-from <wiki-ruwiki-1vhs-p5je0j-zmZMa/QrKLCb7zAG@wikimedia.org>)
	id 1evmQF-0003Do-9Z
	for foo@bar; Tue, 13 Mar 2018 16:05:07 +0000
To: Sunpriat <foo@bar>
Subject: =?UTF-8?Q?=D0=A1=D1=82=D1=80=D0=B0=D0=BD=D0=B8=D1=86=D0=B0=20=D0=BF=D1=80=D0=BE=D0=B5=D0=BA=D1=82=D0=B0=20=C2=AB=D0=92=D0=B8=D0=BA=D0=B8=D0=BF=D0=B5=D0=B4=D0=B8=D1=8F=C2=BB=20=D1=81=20=D0=B8=D0=BC=D0=B5=D0=BD=D0=B5=D0=BC=20=C2=AB=D0=9E=D0=B1=D1=81=D1=83=D0=B6=D0=B4=D0=B5=D0=BD=D0=B8=D0=B5=20=D1=83=D1=87=D0=B0=D1=81=D1=82=D0=BD=D0=B8=D0=BA=D0=B0:Jack=20who=20built=20the=20house/=D0=A3=D0=B4=D0=BE=D0=B1=D0=BD=D1=8B=D0=B5=20=D0=B4=D0=B8=D1=81=D0=BA=D1=83=D1=81=D1=81=D0=B8=D0=B8=C2=BB=20=D0=B1=D1=8B=D0=BB=D0=B0=20=D0=B8=D0=B7=D0=BC=D0=B5=D0=BD=D0=B5=D0=BD=D0=B0=20=D1=83=D1=87=D0=B0=D1=81=D1=82=D0=BD=D0=B8=D0=BA=D0=BE=D0=BC=20Smigles?=
List-Help: https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Watchlist
From: =?UTF-8?Q?=D0=92=D0=B8=D0=BA=D0=B8=D0=BF=D0=B5=D0=B4=D0=B8=D1=8F?= <wiki@wikimedia.org>
Reply-To: wiki@wikimedia.org
Date: Tue, 13 Mar 2018 16:05:07 +0000
Message-ID: <ruwiki.5aa7f6b30c52a4.99314806@ru.wikipedia.org>
X-Mailer: MediaWiki mailer
List-Unsubscribe: <https://ru.wikipedia.org/wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B8>
MIME-Version: 1.0
Content-type: text/plain; charset=UTF-8
Content-transfer-encoding: 8bit
X-6b629377: 1
X-7FA49CB5: A9FCD207E66530D8A18204E546F3947C7BD21ED50D08CA4DD7494F64F9BEE8B42EF20D2F80756B5FBBC930A3941E20C65136D004FC00FE2978DA827A17800CE759D86C965960FB1DEB66585E62EAC104BCA8734010DFDAB0690DBCE64404DB64EF16ED7C73410E2EDC6DB0B82859FA8140A5AABA2AD371193195499CA005F545C09775C1D3CA48CFED8438A78DFE0A9E62C0DB630611AE6CCF19DD082D7633A0072CF9D0EE425E0A3195499CA005F54578DA827A17800CE71760FC65E435CC0343847C11F186F3C5707D568A279F2C58F25A724E5F29A64E9E8FC8737B5C224970BB35E4398E0C2FC8A9BA7A39EFB766C1A34B4B05CAE41A38D433D53B71734559CC434672EE637138D433D53B717345BA69B7DF0B3EA92AC6CDE5D1141D2B1C760143C384D06972D7319E56D8F43619EA100EB9180AD99F
X-DMARC-Policy: none
X-DMARC-Result: pass
X-Mailru-Dmarc-Auth: dmarc=pass header.from=wiki@wikimedia.org
X-Mras: OK
X-Spam: undefined
Authentication-Results: mxs.mail.ru; spf=pass (mx216.i.mail.ru: domain of wikimedia.org designates 208.80.154.91 as permitted sender) smtp.mailfrom=wiki-ruwiki-1vhs-p5je0j-zmzma/qrklcb7zag@wikimedia.org smtp.helo=wiki-mail-eqiad.wikimedia.org;
	 dkim=pass header.d=wikimedia.org; dmarc=pass header.from=wiki@wikimedia.org
X-Received-For-Alias: foo@bar

Subject:

Страница проекта «Википедия» с именем «Обсуждение участника:Jack who built the house/Удобные дискуссии» была изменена участником Smigles
Здравствуйте, Sunpriat!

13 марта 2018 участником Smigles была изменена
страница проекта «Википедия» с именем
«Обсуждение участника:Jack who built the
house/Удобные дискуссии», см. текущую
версию по ссылке:
https://ru.wikipedia.org/wiki/%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_%D1%83%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA%D0%B0:Jack_who_built_the_house/%D0%A3%D0%B4%D0%BE%D0%B1%D0%BD%D1%8B%D0%B5_%D0%B4%D0%B8%D1%81%D0%BA%D1%83%D1%81%D1%81%D0%B8%D0%B8


См.
https://ru.wikipedia.org/w/index.php?title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_%D1%83%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA%D0%B0:Jack_who_built_the_house/%D0%A3%D0%B4%D0%BE%D0%B1%D0%BD%D1%8B%D0%B5_%D0%B4%D0%B8%D1%81%D0%BA%D1%83%D1%81%D1%81%D0%B8%D0%B8&diff=next&oldid=91435857
для ознакомления с изменением

См.
https://ru.wikipedia.org/w/index.php?title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_%D1%83%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA%D0%B0:Jack_who_built_the_house/%D0%A3%D0%B4%D0%BE%D0%B1%D0%BD%D1%8B%D0%B5_%D0%B4%D0%B8%D1%81%D0%BA%D1%83%D1%81%D1%81%D0%B8%D0%B8&diff=0&oldid=91435857
для просмотра всех изменений,
произошедших с вашего последнего
посещения

Краткое описание изменения: /* Ответ на
сообщение без отступа */ новая тема

Обратиться к изменившему:
эл. почта:
https://ru.wikipedia.org/wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D0%B8%D1%81%D1%8C%D0%BC%D0%BE_%D1%83%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA%D1%83/Smigles
вики:
https://ru.wikipedia.org/wiki/%D0%A3%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA:Smigles

Если вы не зайдёте на эту страницу под
своей учётной записью, в случае её
дальнейших изменений уведомлений
больше не будет. Вы можете также
отключить опцию уведомления для всех
страниц в вашем списке наблюдения.

Система оповещения Википедии

--
Изменение настройки уведомлений
https://ru.wikipedia.org/wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B8

Изменение настройки вашего списка
наблюдения
https://ru.wikipedia.org/wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%9F%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C_%D1%81%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BD%D0%B0%D0%B1%D0%BB%D1%8E%D0%B4%D0%B5%D0%BD%D0%B8%D1%8F

Удалить страницы из вашего списка
наблюдения
https://ru.wikipedia.org/w/index.php?title=%D0%9E%D0%B1%D1%81%D1%83%D0%B6%D0%B4%D0%B5%D0%BD%D0%B8%D0%B5_%D1%83%D1%87%D0%B0%D1%81%D1%82%D0%BD%D0%B8%D0%BA%D0%B0:Jack_who_built_the_house/%D0%A3%D0%B4%D0%BE%D0%B1%D0%BD%D1%8B%D0%B5_%D0%B4%D0%B8%D1%81%D0%BA%D1%83%D1%81%D1%81%D0%B8%D0%B8&action=unwatch

Обратная связь и помощь
http://ru.wikipedia.org/wiki/%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%8F:%D0%A1%D0%BF%D1%80%D0%B0%D0%B2%D0%BA%D0%B0

Event Timeline

Aklapper changed the task status from Open to Stalled.Mar 14 2018, 9:23 AM

Please attach a test case that someone else could import: A complete email including its headers.
Please replace any private information (like IPs or email addresses) as Phabricator is a public place.

Sunpriat2 updated the task description. (Show Details)
Sunpriat2 changed the task status from Stalled to Open.Mar 20 2018, 4:54 AM
Aklapper closed this task as Invalid.EditedMar 20 2018, 9:04 AM

I imported the email above into my email application and the subject is correctly displayed.
So this looks like a bug in the email application that you use. Feel free to file a bug in the bug tracker of the "Windows 10 mail app" if that exists.

When I send it to myself, I also get a normal subject.

Subject: =?UTF-8?B?0KHRgtGA0LDQvdC40YbQsCDQv9GA0L7QtdC60YLQsCDCq9CS0LjQutC40L8=?=
 =?UTF-8?B?0LXQtNC40Y/CuyDRgSDQuNC80LXQvdC10LwgwqvQntCx0YHRg9C20LTQtdC9?=
 =?UTF-8?B?0LjQtSDRg9GH0LDRgdGC0L3QuNC60LA6SmFjayB3aG8gYnVpbHQgdGhlIGhv?=
 =?UTF-8?B?dXNlL9Cj0LTQvtCx0L3Ri9C1INC00LjRgdC60YPRgdGB0LjQuMK7INCx0Ys=?=
 =?UTF-8?B?0LvQsCDQuNC30LzQtdC90LXQvdCwINGD0YfQsNGB0YLQvdC40LrQvtC8IFNt?=
 =?UTF-8?B?aWdsZXM=?=

So only when comes from Wikipedia.

I take the subject header from the mail site, not from the application. And there's only one long utf-8. So this is either the Wiki problem that it sends such one utf-8 subject or an application problem that it does not understand such one utf-8 subject .

Aklapper closed this task as Invalid.EditedMar 21 2018, 6:58 AM

It is an application problem.

You can test it for example on http://dogmamix.com/MimeHeadersDecoder/